> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#body.RetrievePlannableUserInterestsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#body.aspect)
- [PlannableUserInterest](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#PlannableUserInterest)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#PlannableUserInterest.SCHEMA_REPRESENTATION)
- [UserInterest](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#UserInterest)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#UserInterest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#try-it)

Retrieves Google Audiences (User Interests) available for forecasting.

<br />

> [!WARNING]
> API support for generating reach forecasts and retrieving related metadata is in beta. This method is only available to allowlisted users.

<br />

### HTTP request

`GET https://displayvideo.googleapis.com/v5/advertisers/{advertiserId}/reachForecast:retrievePlannableUserInterests`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser to list plannable user interests for. |

### Query parameters

| Parameters ||
|---|---|
| `productCategory` | ``enum (`https://developers.google.com/display-video/api/reference/rest/v5/PlannableProductCategory`)`` Required. The product category to retrieve plannable user interests for. |

### Request body

The request body must be empty.

### Response body

Response for reachForecast.retrievePlannableUserInterests.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "plannableUserInterests": [ { object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#PlannableUserInterest`) } ] } ``` |

| Fields ||
|---|---|
| `plannableUserInterests[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#PlannableUserInterest`)`` The list of plannable user interests (Google Audiences). |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## PlannableUserInterest

A plannable user interest used for targeting.

| JSON representation |
|---|
| ``` { "userInterestDisplayName": string, "userInterestPath": string, "userInterestType": string, "userInterest": { object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#UserInterest`) } } ``` |

| Fields ||
|---|---|
| `userInterestDisplayName` | `string` Output only. The display name of the interest, for example "Outdoor Enthusiasts". |
| `userInterestPath` | `string` Output only. The category path of the interest. |
| `userInterestType` | `string` Output only. The type of audience, e.g., "AFFINITY", "IN_MARKET". |
| `userInterest` | ``object (`https://developers.google.com/display-video/api/reference/rest/v5/advertisers.reachForecast/retrievePlannableUserInterests#UserInterest`)`` Output only. The identifier for the user interest. The \[productCategory\]\[\] specified in the request dictates the field populated in the object. - \[userInterestCategory\]\[\] is populated for "Youtube". - \[userInterestUserList\]\[\] is populated for "Open Auction". |

## UserInterest

The identifier for a user interest.

| JSON representation |
|---|
| ``` { "userInterestCategory": string, "userInterestUserList": string } ``` |

| Fields ||
|---|---|
| `userInterestCategory` | `string` Output only. The resource name of the interest category. Populated when `productCategory` is "Youtube". Format: customers/{customerId}/userInterests/{user_interest_id} |
| `userInterestUserList` | `string` Output only. The resource name of the user list. Populated when `productCategory` is "Open Auction". Format: customers/{customerId}/userLists/{user_list_id} |